Results 1 to 8 of 8

Thread: Package kit error when updating KDE

  1. #1

    Question Package kit error when updating KDE

    What does this message mean? Can't KDE be updated at all or is it just this swedish dictionary?

    PackageKit Error cannot-remove-system-package: Subprocess failed. Error: RPM failed: error: rpmdbNextIterator: skipping h# 1022 Header V3 RSA/SHA256 signature: BAD, key ID 3dbdc284 error: package kde4-l10n-sv-doc-4.3.1-2.4.noarch is not installed

    Whats the remedy?

    "Totally new to Open Suse"

  2. #2
    Join Date
    Sep 2008
    Location
    Dubai
    Posts
    1,770

    Default Re: Package kit error when updating KDE

    I think your rpm db is corrupted. You may try:
    Code:
    rpm --rebuilddb
    openSUSE 12.3 (x86_64) with Kernel 3.7.10-1.16-desktop and KDE 4.11.2 on MacBook Pro
    Latest MS Windows version used: Win95

  3. #3

    Default Re: Package kit error when updating KDE

    I tried your advice and here is the result: (Translated from swedish)

    fel: det gr inte att skapa transaktionsls p /var/lib/rpm/__db.000 (Filen eller katalogen finns inte)

    error: unable to create transaction lock on /var/lib
    /rpm/__db.000 (File or folder does not exist)

    If I use "sudo" another error is generated:

    fel: rpmdbNextIterator: hoppar ver h# 1022 Huvud V3 RSA/SHA256-signatur: BAD, nyckel-id 3dbdc284

    error: rpmdbNextIterator: skip h# 1022 Head V3 RSA/SHA256-signatur: BAD, key-id 3dbdc284

    Some serious error?

  4. #4
    Join Date
    Sep 2008
    Location
    Dubai
    Posts
    1,770

    Default Re: Package kit error when updating KDE

    You can remove any stale files from /var/lib/rpm directory.
    Code:
    su
    init 1
    cd /var/lib/rpm
    rm __db*
    rpm --rebuilddb
    init 5
    openSUSE 12.3 (x86_64) with Kernel 3.7.10-1.16-desktop and KDE 4.11.2 on MacBook Pro
    Latest MS Windows version used: Win95

  5. #5

    Default Re: Package kit error when updating KDE

    I did a new installation from the Open Suse 11.2 live CD, this time without activating "KDE wallet". I don't know if this was the culprit but updates are now running smoothly without any error msgs.

    Thanks for the help, Peter

  6. #6
    Join Date
    Sep 2008
    Location
    Dubai
    Posts
    1,770

    Default Re: Package kit error when updating KDE

    I don't think kwallet has anything to do with that.
    openSUSE 12.3 (x86_64) with Kernel 3.7.10-1.16-desktop and KDE 4.11.2 on MacBook Pro
    Latest MS Windows version used: Win95

  7. #7
    palladium NNTP User

    Default Re: Package kit error when updating KDE

    syampillai wrote:
    > I don't think kwallet has anything to do with that.


    +1

    --
    palladium

  8. #8

    Default Re: Package kit error when updating KDE

    Well, indirectly perhapes. When I used kwallet it interrupted the update applet asking for a password. I don't know if my connection was peculiar about that, but updates have run flawless since I choosed to not using kwallet. Just a thought ...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •